-- CUBRID schema & index by my2cub.php
-- Host: localhost    Database: gnu
-- Table structure for table `__TABLE_NAME__`

CREATE TABLE __TABLE_NAME__
( wr_id INT DEFAULT 0   NOT NULL,
wr_num INT DEFAULT 0   NOT NULL,
wr_reply VARCHAR(10) DEFAULT ''   NOT NULL,
wr_parent INT DEFAULT 0   NOT NULL,
wr_is_comment SMALLINT DEFAULT 0   NOT NULL,
wr_comment INT DEFAULT 0   NOT NULL,
wr_comment_reply VARCHAR(5) DEFAULT ''   NOT NULL,
ca_name VARCHAR(255) DEFAULT ''   NOT NULL,
wr_option VARCHAR(20)  DEFAULT ''   NOT NULL,
wr_subject VARCHAR(255) DEFAULT ''   NOT NULL,
wr_content VARCHAR(10485760) DEFAULT ''  NOT NULL,
wr_link1 VARCHAR(65535) DEFAULT ''  NOT NULL,
wr_link2 VARCHAR(65535) DEFAULT ''  NOT NULL,
wr_link1_hit INT DEFAULT 0   NOT NULL,
wr_link2_hit INT DEFAULT 0   NOT NULL,
wr_trackback VARCHAR(255) DEFAULT ''   NOT NULL,
wr_hit INT DEFAULT 0   NOT NULL,
wr_good INT DEFAULT 0   NOT NULL,
wr_nogood INT DEFAULT 0   NOT NULL,
mb_id VARCHAR(255) DEFAULT ''   NOT NULL,
wr_password VARCHAR(255) DEFAULT ''   NOT NULL,
wr_name VARCHAR(255) DEFAULT ''   NOT NULL,
wr_email VARCHAR(255) DEFAULT ''   NOT NULL,
wr_homepage VARCHAR(255) DEFAULT ''   NOT NULL,
wr_datetime TIMESTAMP DEFAULT timestamp'00:00:00 AM 01/02/1970'   NOT NULL,
wr_last VARCHAR(19) DEFAULT ''   NOT NULL,
wr_ip VARCHAR(255) DEFAULT ''   NOT NULL,
wr_1 VARCHAR(255) DEFAULT ''   NOT NULL,
wr_2 VARCHAR(255) DEFAULT ''   NOT NULL,
wr_3 VARCHAR(255) DEFAULT ''   NOT NULL,
wr_4 VARCHAR(255) DEFAULT ''   NOT NULL,
wr_5 VARCHAR(255) DEFAULT ''   NOT NULL,
wr_6 VARCHAR(255) DEFAULT ''   NOT NULL,
wr_7 VARCHAR(255) DEFAULT ''   NOT NULL,
wr_8 VARCHAR(255) DEFAULT ''   NOT NULL,
wr_9 VARCHAR(255) DEFAULT ''   NOT NULL,
wr_10 VARCHAR(255) DEFAULT ''   NOT NULL
 ) ;

CREATE SERIAL __TABLE_NAME___seq START WITH 1;

CREATE UNIQUE INDEX PRIMARY_idx on __TABLE_NAME__ (  wr_id );
 
CREATE  INDEX wr_num_reply_parent_idx on __TABLE_NAME__ (  wr_num  ,wr_reply  ,wr_parent );
 
CREATE  INDEX wr_is_comment_idx on __TABLE_NAME__ (  wr_is_comment  ,wr_id );
 
create reverse index wr_num_reply_revidx on __TABLE_NAME__ (wr_num,wr_reply);

create reverse index primary_revidx on __TABLE_NAME__ (wr_id);
