-- CUBRID schema & index by my2cub.php
-- Host: localhost    Database: gnu


CREATE TABLE g4_auth
( mb_id VARCHAR(255) DEFAULT ''   NOT NULL,
au_menu VARCHAR(20) DEFAULT ''   NOT NULL,
au_auth VARCHAR(5)  NOT NULL
 ) 
;

CREATE TABLE g4_board
( bo_table VARCHAR(20) DEFAULT ''   NOT NULL,
gr_id VARCHAR(255) DEFAULT ''   NOT NULL,
bo_subject VARCHAR(255) DEFAULT ''   NOT NULL,
bo_admin VARCHAR(255) DEFAULT ''   NOT NULL,
bo_list_level SMALLINT DEFAULT 0   NOT NULL,
bo_read_level SMALLINT DEFAULT 0   NOT NULL,
bo_write_level SMALLINT DEFAULT 0   NOT NULL,
bo_reply_level SMALLINT DEFAULT 0   NOT NULL,
bo_comment_level SMALLINT DEFAULT 0   NOT NULL,
bo_upload_level SMALLINT DEFAULT 0   NOT NULL,
bo_download_level SMALLINT DEFAULT 0   NOT NULL,
bo_html_level SMALLINT DEFAULT 0   NOT NULL,
bo_link_level SMALLINT DEFAULT 0   NOT NULL,
bo_trackback_level SMALLINT DEFAULT 0   NOT NULL,
bo_count_delete SMALLINT DEFAULT 0   NOT NULL,
bo_count_modify SMALLINT DEFAULT 0   NOT NULL,
bo_read_point INT DEFAULT 0   NOT NULL,
bo_write_point INT DEFAULT 0   NOT NULL,
bo_comment_point INT DEFAULT 0   NOT NULL,
bo_download_point INT DEFAULT 0   NOT NULL,
bo_use_category SMALLINT DEFAULT 0   NOT NULL,
bo_category_list VARCHAR(65535) DEFAULT ''   NOT NULL,
bo_disable_tags VARCHAR(65535) DEFAULT ''   NOT NULL,
bo_use_sideview SMALLINT DEFAULT 0   NOT NULL,
bo_use_file_content SMALLINT DEFAULT 0   NOT NULL,
bo_use_secret SMALLINT DEFAULT 0   NOT NULL,
bo_use_dhtml_editor SMALLINT DEFAULT 0   NOT NULL,
bo_use_rss_view SMALLINT DEFAULT 0   NOT NULL,
bo_use_comment SMALLINT DEFAULT 0   NOT NULL,
bo_use_good SMALLINT DEFAULT 0   NOT NULL,
bo_use_nogood SMALLINT DEFAULT 0   NOT NULL,
bo_use_name SMALLINT DEFAULT 0   NOT NULL,
bo_use_signature SMALLINT DEFAULT 0   NOT NULL,
bo_use_ip_view SMALLINT DEFAULT 0   NOT NULL,
bo_use_trackback SMALLINT DEFAULT 0   NOT NULL,
bo_use_list_view SMALLINT DEFAULT 0   NOT NULL,
bo_use_list_content SMALLINT DEFAULT 0   NOT NULL,
bo_table_width INT DEFAULT 0   NOT NULL,
bo_subject_len INT DEFAULT 0   NOT NULL,
bo_page_rows INT DEFAULT 0   NOT NULL,
bo_new INT DEFAULT 0   NOT NULL,
bo_hot INT DEFAULT 0   NOT NULL,
bo_image_width INT DEFAULT 0   NOT NULL,
bo_skin VARCHAR(255) DEFAULT ''   NOT NULL,
bo_image_head VARCHAR(255) DEFAULT ''   NOT NULL,
bo_image_tail VARCHAR(255) DEFAULT ''   NOT NULL,
bo_include_head VARCHAR(255) DEFAULT ''   NOT NULL,
bo_include_tail VARCHAR(255) DEFAULT ''   NOT NULL,
bo_content_head VARCHAR(65535) DEFAULT ''   NOT NULL,
bo_content_tail VARCHAR(65535) DEFAULT ''   NOT NULL,
bo_insert_content VARCHAR(65535) DEFAULT ''   NOT NULL,
bo_gallery_cols INT DEFAULT 0   NOT NULL,
bo_upload_size INT DEFAULT 0   NOT NULL,
bo_reply_order SMALLINT DEFAULT 0   NOT NULL,
bo_use_search SMALLINT DEFAULT 0   NOT NULL,
bo_order_search INT DEFAULT 0   NOT NULL,
bo_count_write INT DEFAULT 0   NOT NULL,
bo_count_comment INT DEFAULT 0   NOT NULL,
bo_write_min INT DEFAULT 0   NOT NULL,
bo_write_max INT DEFAULT 0   NOT NULL,
bo_comment_min INT DEFAULT 0   NOT NULL,
bo_comment_max INT DEFAULT 0   NOT NULL,
bo_notice VARCHAR(65535) DEFAULT ''   NOT NULL,
bo_upload_count SMALLINT DEFAULT 0   NOT NULL,
bo_use_email SMALLINT DEFAULT 0   NOT NULL,
bo_sort_field VARCHAR(255) DEFAULT ''   NOT NULL,
bo_1_subj VARCHAR(255) DEFAULT ''   NOT NULL,
bo_2_subj VARCHAR(255) DEFAULT ''   NOT NULL,
bo_3_subj VARCHAR(255) DEFAULT ''   NOT NULL,
bo_4_subj VARCHAR(255) DEFAULT ''   NOT NULL,
bo_5_subj VARCHAR(255) DEFAULT ''   NOT NULL,
bo_6_subj VARCHAR(255) DEFAULT ''   NOT NULL,
bo_7_subj VARCHAR(255) DEFAULT ''   NOT NULL,
bo_8_subj VARCHAR(255) DEFAULT ''   NOT NULL,
bo_9_subj VARCHAR(255) DEFAULT ''   NOT NULL,
bo_10_subj VARCHAR(255) DEFAULT ''   NOT NULL,
bo_1 VARCHAR(255) DEFAULT ''   NOT NULL,
bo_2 VARCHAR(255) DEFAULT ''   NOT NULL,
bo_3 VARCHAR(255) DEFAULT ''   NOT NULL,
bo_4 VARCHAR(255) DEFAULT ''   NOT NULL,
bo_5 VARCHAR(255) DEFAULT ''   NOT NULL,
bo_6 VARCHAR(255) DEFAULT ''   NOT NULL,
bo_7 VARCHAR(255) DEFAULT ''   NOT NULL,
bo_8 VARCHAR(255) DEFAULT ''   NOT NULL,
bo_9 VARCHAR(255) DEFAULT ''   NOT NULL,
bo_10 VARCHAR(255) DEFAULT ''   NOT NULL
 ) 
;

CREATE TABLE g4_board_file
( bo_table VARCHAR(20) DEFAULT ''   NOT NULL,
wr_id INT DEFAULT 0   NOT NULL,
bf_no INT DEFAULT 0   NOT NULL,
bf_source VARCHAR(255) DEFAULT ''   NOT NULL,
bf_file VARCHAR(255) DEFAULT ''   NOT NULL,
bf_download VARCHAR(255) DEFAULT ''   NOT NULL,
bf_content VARCHAR(65535) DEFAULT ''   NOT NULL,
bf_filesize INT DEFAULT 0   NOT NULL,
bf_width INT DEFAULT 0   NOT NULL,
bf_height SMALLINT DEFAULT 0   NOT NULL,
bf_type SMALLINT DEFAULT 0   NOT NULL,
bf_datetime TIMESTAMP DEFAULT timestamp'00:00:00 AM 01/02/1970'   NOT NULL
 ) 
;

CREATE TABLE g4_board_good
( bg_id INT DEFAULT 0   NOT NULL,
bo_table VARCHAR(20) DEFAULT ''   NOT NULL,
wr_id INT DEFAULT 0   NOT NULL,
mb_id VARCHAR(20) DEFAULT ''   NOT NULL,
bg_flag VARCHAR(255) DEFAULT ''   NOT NULL,
bg_datetime TIMESTAMP DEFAULT timestamp'00:00:00 AM 01/02/1970'   NOT NULL
 ) 
;
CREATE SERIAL g4_board_good_seq START WITH 1;

CREATE TABLE g4_board_new
( bn_id INT DEFAULT 0   NOT NULL,
bo_table VARCHAR(20) DEFAULT ''   NOT NULL,
wr_id INT DEFAULT 0   NOT NULL,
wr_parent INT DEFAULT 0   NOT NULL,
bn_datetime TIMESTAMP DEFAULT timestamp'00:00:00 AM 01/02/1970'   NOT NULL,
mb_id VARCHAR(20) DEFAULT ''   NOT NULL
 ) 
;
CREATE SERIAL g4_board_new_seq START WITH 1;

CREATE TABLE g4_config
( cf_title VARCHAR(255) DEFAULT ''   NOT NULL,
cf_admin VARCHAR(255) DEFAULT ''   NOT NULL,
cf_use_point SMALLINT DEFAULT 0   NOT NULL,
cf_use_norobot SMALLINT DEFAULT 0   NOT NULL,
cf_use_copy_log SMALLINT DEFAULT 0   NOT NULL,
cf_use_email_certify SMALLINT DEFAULT 0   NOT NULL,
cf_login_point INT DEFAULT 0   NOT NULL,
cf_cut_name SMALLINT DEFAULT 0   NOT NULL,
cf_nick_modify INT DEFAULT 0   NOT NULL,
cf_new_skin VARCHAR(255) DEFAULT ''   NOT NULL,
cf_login_skin VARCHAR(255) DEFAULT ''   NOT NULL,
cf_new_rows INT DEFAULT 0   NOT NULL,
cf_search_skin VARCHAR(255) DEFAULT ''   NOT NULL,
cf_connect_skin VARCHAR(255) DEFAULT ''   NOT NULL,
cf_read_point INT DEFAULT 0   NOT NULL,
cf_write_point INT DEFAULT 0   NOT NULL,
cf_comment_point INT DEFAULT 0   NOT NULL,
cf_download_point INT DEFAULT 0   NOT NULL,
cf_search_bgcolor VARCHAR(255) DEFAULT ''   NOT NULL,
cf_search_color VARCHAR(255) DEFAULT ''   NOT NULL,
cf_write_pages INT DEFAULT 0   NOT NULL,
cf_link_target VARCHAR(255) DEFAULT ''   NOT NULL,
cf_delay_sec INT DEFAULT 0   NOT NULL,
cf_filter VARCHAR(65535) DEFAULT ''   NOT NULL,
cf_possible_ip VARCHAR(65535) DEFAULT ''   NOT NULL,
cf_intercept_ip VARCHAR(65535) DEFAULT ''   NOT NULL,
cf_register_skin VARCHAR(255) DEFAULT 'basic'   NOT NULL,
cf_member_skin VARCHAR(255) DEFAULT ''   NOT NULL,
cf_use_homepage SMALLINT DEFAULT 0   NOT NULL,
cf_req_homepage SMALLINT DEFAULT 0   NOT NULL,
cf_use_tel SMALLINT DEFAULT 0   NOT NULL,
cf_req_tel SMALLINT DEFAULT 0   NOT NULL,
cf_use_hp SMALLINT DEFAULT 0   NOT NULL,
cf_req_hp SMALLINT DEFAULT 0   NOT NULL,
cf_use_addr SMALLINT DEFAULT 0   NOT NULL,
cf_req_addr SMALLINT DEFAULT 0   NOT NULL,
cf_use_signature SMALLINT DEFAULT 0   NOT NULL,
cf_req_signature SMALLINT DEFAULT 0   NOT NULL,
cf_use_profile SMALLINT DEFAULT 0   NOT NULL,
cf_req_profile SMALLINT DEFAULT 0   NOT NULL,
cf_register_level SMALLINT DEFAULT 0   NOT NULL,
cf_register_point INT DEFAULT 0   NOT NULL,
cf_icon_level SMALLINT DEFAULT 0   NOT NULL,
cf_use_recommend SMALLINT DEFAULT 0   NOT NULL,
cf_recommend_point INT DEFAULT 0   NOT NULL,
cf_leave_day INT DEFAULT 0   NOT NULL,
cf_search_part INT DEFAULT 0   NOT NULL,
cf_email_use SMALLINT DEFAULT 0   NOT NULL,
cf_email_wr_super_admin SMALLINT DEFAULT 0   NOT NULL,
cf_email_wr_group_admin SMALLINT DEFAULT 0   NOT NULL,
cf_email_wr_board_admin SMALLINT DEFAULT 0   NOT NULL,
cf_email_wr_write SMALLINT DEFAULT 0   NOT NULL,
cf_email_wr_comment_all SMALLINT DEFAULT 0   NOT NULL,
cf_email_mb_super_admin SMALLINT DEFAULT 0   NOT NULL,
cf_email_mb_member SMALLINT DEFAULT 0   NOT NULL,
cf_email_po_super_admin SMALLINT DEFAULT 0   NOT NULL,
cf_prohibit_id VARCHAR(65535) DEFAULT ''   NOT NULL,
cf_prohibit_email VARCHAR(65535) DEFAULT ''   NOT NULL,
cf_new_del INT DEFAULT 0   NOT NULL,
cf_memo_del INT DEFAULT 0   NOT NULL,
cf_visit_del INT DEFAULT 0   NOT NULL,
cf_popular_del INT DEFAULT 0   NOT NULL,
cf_use_jumin SMALLINT DEFAULT 0   NOT NULL,
cf_use_member_icon SMALLINT DEFAULT 0   NOT NULL,
cf_member_icon_size INT DEFAULT 0   NOT NULL,
cf_member_icon_width INT DEFAULT 0   NOT NULL,
cf_member_icon_height INT DEFAULT 0   NOT NULL,
cf_login_minutes INT DEFAULT 0   NOT NULL,
cf_image_extension VARCHAR(255) DEFAULT ''   NOT NULL,
cf_flash_extension VARCHAR(255) DEFAULT ''   NOT NULL,
cf_movie_extension VARCHAR(255) DEFAULT ''   NOT NULL,
cf_formmail_is_member SMALLINT DEFAULT 0   NOT NULL,
cf_page_rows INT DEFAULT 0   NOT NULL,
cf_visit VARCHAR(255) DEFAULT ''   NOT NULL,
cf_max_po_id INT DEFAULT 0   NOT NULL,
cf_stipulation VARCHAR(65535) DEFAULT ''   NOT NULL,
cf_privacy VARCHAR(65535) DEFAULT ''   NOT NULL,
cf_open_modify INT DEFAULT 0   NOT NULL,
cf_memo_send_point INT DEFAULT 0   NOT NULL,
cf_1_subj VARCHAR(255) DEFAULT ''   NOT NULL,
cf_2_subj VARCHAR(255) DEFAULT ''   NOT NULL,
cf_3_subj VARCHAR(255) DEFAULT ''   NOT NULL,
cf_4_subj VARCHAR(255) DEFAULT ''   NOT NULL,
cf_5_subj VARCHAR(255) DEFAULT ''   NOT NULL,
cf_6_subj VARCHAR(255) DEFAULT ''   NOT NULL,
cf_7_subj VARCHAR(255) DEFAULT ''   NOT NULL,
cf_8_subj VARCHAR(255) DEFAULT ''   NOT NULL,
cf_9_subj VARCHAR(255) DEFAULT ''   NOT NULL,
cf_10_subj VARCHAR(255) DEFAULT ''   NOT NULL,
cf_1 VARCHAR(255) DEFAULT ''   NOT NULL,
cf_2 VARCHAR(255) DEFAULT ''   NOT NULL,
cf_3 VARCHAR(255) DEFAULT ''   NOT NULL,
cf_4 VARCHAR(255) DEFAULT ''   NOT NULL,
cf_5 VARCHAR(255) DEFAULT ''   NOT NULL,
cf_6 VARCHAR(255) DEFAULT ''   NOT NULL,
cf_7 VARCHAR(255) DEFAULT ''   NOT NULL,
cf_8 VARCHAR(255) DEFAULT ''   NOT NULL,
cf_9 VARCHAR(255) DEFAULT ''   NOT NULL,
cf_10 VARCHAR(255) DEFAULT ''   NOT NULL
 ) 
;

CREATE TABLE g4_group
( gr_id VARCHAR(10) DEFAULT ''   NOT NULL,
gr_subject VARCHAR(255) DEFAULT ''   NOT NULL,
gr_admin VARCHAR(255) DEFAULT ''   NOT NULL,
gr_use_access SMALLINT DEFAULT 0   NOT NULL,
gr_1_subj VARCHAR(255) DEFAULT ''   NOT NULL,
gr_2_subj VARCHAR(255) DEFAULT ''   NOT NULL,
gr_3_subj VARCHAR(255) DEFAULT ''   NOT NULL,
gr_4_subj VARCHAR(255) DEFAULT ''   NOT NULL,
gr_5_subj VARCHAR(255) DEFAULT ''   NOT NULL,
gr_6_subj VARCHAR(255) DEFAULT ''   NOT NULL,
gr_7_subj VARCHAR(255) DEFAULT ''   NOT NULL,
gr_8_subj VARCHAR(255) DEFAULT ''   NOT NULL,
gr_9_subj VARCHAR(255) DEFAULT ''   NOT NULL,
gr_10_subj VARCHAR(255) DEFAULT ''   NOT NULL,
gr_1 VARCHAR(255) DEFAULT ''   NOT NULL,
gr_2 VARCHAR(255) DEFAULT ''   NOT NULL,
gr_3 VARCHAR(255) DEFAULT ''   NOT NULL,
gr_4 VARCHAR(255) DEFAULT ''   NOT NULL,
gr_5 VARCHAR(255) DEFAULT ''   NOT NULL,
gr_6 VARCHAR(255) DEFAULT ''   NOT NULL,
gr_7 VARCHAR(255) DEFAULT ''   NOT NULL,
gr_8 VARCHAR(255) DEFAULT ''   NOT NULL,
gr_9 VARCHAR(255) DEFAULT ''   NOT NULL,
gr_10 VARCHAR(255) DEFAULT ''   NOT NULL
 ) 
;

CREATE TABLE g4_group_member
( gm_id INT DEFAULT 0   NOT NULL,
gr_id VARCHAR(255) DEFAULT ''   NOT NULL,
mb_id VARCHAR(255) DEFAULT ''   NOT NULL,
gm_datetime TIMESTAMP DEFAULT timestamp'00:00:00 AM 01/02/1970'   NOT NULL
 ) 
;
CREATE SERIAL g4_group_member_seq START WITH 1;

CREATE TABLE g4_login
( lo_ip VARCHAR(255) DEFAULT ''   NOT NULL,
mb_id VARCHAR(255) DEFAULT ''   NOT NULL,
lo_datetime TIMESTAMP DEFAULT timestamp'00:00:00 AM 01/02/1970'   NOT NULL,
lo_location VARCHAR(65535) DEFAULT ''   NOT NULL,
lo_url VARCHAR(65535) DEFAULT ''   NOT NULL
 ) 
;

CREATE TABLE g4_mail
( ma_id INT DEFAULT 0   NOT NULL,
ma_subject VARCHAR(255) DEFAULT ''   NOT NULL,
ma_content STRING DEFAULT ''   NOT NULL,
ma_time TIMESTAMP DEFAULT timestamp'00:00:00 AM 01/02/1970'   NOT NULL,
ma_ip VARCHAR(255) DEFAULT ''   NOT NULL,
ma_last_option VARCHAR(65535) DEFAULT ''   NOT NULL
 ) 
;
CREATE SERIAL g4_mail_seq START WITH 1;

CREATE TABLE g4_member
(
mb_no INT DEFAULT 0   NOT NULL,
mb_id VARCHAR(255) DEFAULT ''   NOT NULL,
mb_password VARCHAR(255) DEFAULT ''   NOT NULL,
mb_name VARCHAR(255) DEFAULT ''   NOT NULL,
mb_nick VARCHAR(255) DEFAULT ''   NOT NULL,
mb_nick_date DATE DEFAULT date'1000-01-01'   NOT NULL,
mb_email VARCHAR(255) DEFAULT ''   NOT NULL,
mb_homepage VARCHAR(255) DEFAULT ''   NOT NULL,
mb_password_q VARCHAR(255) DEFAULT ''   NOT NULL,
mb_password_a VARCHAR(255) DEFAULT ''   NOT NULL,
mb_level SMALLINT DEFAULT 0   NOT NULL,
mb_jumin VARCHAR(255) DEFAULT ''   NOT NULL,
mb_sex CHAR(1) DEFAULT ''   NOT NULL,
mb_birth VARCHAR(255) DEFAULT ''   NOT NULL,
mb_tel VARCHAR(255) DEFAULT ''   NOT NULL,
mb_hp VARCHAR(255) DEFAULT ''   NOT NULL,
mb_zip1 CHAR(3) DEFAULT ''   NOT NULL,
mb_zip2 CHAR(3) DEFAULT ''   NOT NULL,
mb_addr1 VARCHAR(255) DEFAULT ''   NOT NULL,
mb_addr2 VARCHAR(255) DEFAULT ''   NOT NULL,
mb_signature VARCHAR(65535) DEFAULT ''   NOT NULL,
mb_recommend VARCHAR(255) DEFAULT ''   NOT NULL,
mb_point INT DEFAULT 0   NOT NULL,
mb_today_login TIMESTAMP DEFAULT timestamp'00:00:00 AM 01/02/1970'   NOT NULL,
mb_login_ip VARCHAR(255) DEFAULT ''   NOT NULL,
mb_datetime TIMESTAMP DEFAULT timestamp'00:00:00 AM 01/02/1970'   NOT NULL,
mb_ip VARCHAR(255) DEFAULT ''   NOT NULL,
mb_leave_date VARCHAR(8) DEFAULT ''   NOT NULL,
mb_intercept_date VARCHAR(8) DEFAULT ''   NOT NULL,
mb_email_certify TIMESTAMP DEFAULT timestamp'00:00:00 AM 01/02/1970'   NOT NULL,
mb_memo VARCHAR(65535) DEFAULT ''   NOT NULL,
mb_mailling SMALLINT DEFAULT 0   NOT NULL,
mb_sms SMALLINT DEFAULT 0   NOT NULL,
mb_open SMALLINT DEFAULT 0   NOT NULL,
mb_open_date DATE DEFAULT date'1000-01-01'   NOT NULL,
mb_profile VARCHAR(65535) DEFAULT ''   NOT NULL,
mb_memo_call VARCHAR(255) DEFAULT ''   NOT NULL,
mb_1 VARCHAR(255) DEFAULT ''   NOT NULL,
mb_2 VARCHAR(255) DEFAULT ''   NOT NULL,
mb_3 VARCHAR(255) DEFAULT ''   NOT NULL,
mb_4 VARCHAR(255) DEFAULT ''   NOT NULL,
mb_5 VARCHAR(255) DEFAULT ''   NOT NULL,
mb_6 VARCHAR(255) DEFAULT ''   NOT NULL,
mb_7 VARCHAR(255) DEFAULT ''   NOT NULL,
mb_8 VARCHAR(255) DEFAULT ''   NOT NULL,
mb_9 VARCHAR(255) DEFAULT ''   NOT NULL,
mb_10 VARCHAR(255) DEFAULT ''   NOT NULL
 ) 
;
CREATE SERIAL g4_member_seq START WITH 1;


CREATE TABLE g4_memo
( me_id INT DEFAULT 0   NOT NULL,
me_recv_mb_id VARCHAR(255) DEFAULT ''   NOT NULL,
me_send_mb_id VARCHAR(255) DEFAULT ''   NOT NULL,
me_send_datetime TIMESTAMP DEFAULT timestamp'00:00:00 AM 01/02/1970'   NOT NULL,
me_read_datetime TIMESTAMP DEFAULT timestamp'00:00:00 AM 01/02/1970'   NOT NULL,
me_memo VARCHAR(65535) DEFAULT ''   NOT NULL
 ) 
;

CREATE TABLE g4_point
( po_id INT DEFAULT 0   NOT NULL,
mb_id VARCHAR(20) DEFAULT ''   NOT NULL,
po_datetime TIMESTAMP DEFAULT timestamp'00:00:00 AM 01/02/1970'   NOT NULL,
po_content VARCHAR(255) DEFAULT ''   NOT NULL,
po_point INT DEFAULT 0   NOT NULL,
po_rel_table VARCHAR(20) DEFAULT ''   NOT NULL,
po_rel_id VARCHAR(20) DEFAULT ''   NOT NULL,
po_rel_action VARCHAR(255) DEFAULT ''   NOT NULL
 ) 
;
CREATE SERIAL g4_point_seq START WITH 3;

CREATE TABLE g4_poll
( po_id INT DEFAULT 0   NOT NULL,
po_subject VARCHAR(255) DEFAULT ''   NOT NULL,
po_poll1 VARCHAR(255) DEFAULT ''   NOT NULL,
po_poll2 VARCHAR(255) DEFAULT ''   NOT NULL,
po_poll3 VARCHAR(255) DEFAULT ''   NOT NULL,
po_poll4 VARCHAR(255) DEFAULT ''   NOT NULL,
po_poll5 VARCHAR(255) DEFAULT ''   NOT NULL,
po_poll6 VARCHAR(255) DEFAULT ''   NOT NULL,
po_poll7 VARCHAR(255) DEFAULT ''   NOT NULL,
po_poll8 VARCHAR(255) DEFAULT ''   NOT NULL,
po_poll9 VARCHAR(255) DEFAULT ''   NOT NULL,
po_cnt1 INT DEFAULT 0   NOT NULL,
po_cnt2 INT DEFAULT 0   NOT NULL,
po_cnt3 INT DEFAULT 0   NOT NULL,
po_cnt4 INT DEFAULT 0   NOT NULL,
po_cnt5 INT DEFAULT 0   NOT NULL,
po_cnt6 INT DEFAULT 0   NOT NULL,
po_cnt7 INT DEFAULT 0   NOT NULL,
po_cnt8 INT DEFAULT 0   NOT NULL,
po_cnt9 INT DEFAULT 0   NOT NULL,
po_etc VARCHAR(255) DEFAULT ''   NOT NULL,
po_level SMALLINT DEFAULT 0   NOT NULL,
po_point INT DEFAULT 0   NOT NULL,
po_date DATE DEFAULT date'1000-01-01'   NOT NULL,
po_ips STRING DEFAULT ''   NOT NULL,
mb_ids VARCHAR(65535) DEFAULT ''   NOT NULL
 ) 
;
CREATE SERIAL g4_poll_seq START WITH 1;

CREATE TABLE g4_poll_etc
( pc_id INT DEFAULT 0   NOT NULL,
po_id INT DEFAULT 0   NOT NULL,
mb_id VARCHAR(255) DEFAULT ''   NOT NULL,
pc_name VARCHAR(255) DEFAULT ''   NOT NULL,
pc_idea VARCHAR(255) DEFAULT ''   NOT NULL,
pc_datetime TIMESTAMP DEFAULT timestamp'00:00:00 AM 01/02/1970'   NOT NULL
 ) 
;

CREATE TABLE g4_popular
( pp_id INT DEFAULT 0   NOT NULL,
pp_word VARCHAR(50) DEFAULT ''   NOT NULL,
pp_date DATE DEFAULT date'1000-01-01'   NOT NULL,
pp_ip VARCHAR(50) DEFAULT ''   NOT NULL
 ) 
;
CREATE SERIAL g4_popular_seq START WITH 1;

CREATE TABLE g4_scrap
( ms_id INT DEFAULT 0   NOT NULL,
mb_id VARCHAR(255) DEFAULT ''   NOT NULL,
bo_table VARCHAR(20) DEFAULT ''   NOT NULL,
wr_id VARCHAR(15) DEFAULT ''   NOT NULL,
ms_datetime TIMESTAMP DEFAULT timestamp'00:00:00 AM 01/02/1970'   NOT NULL
 ) 
;
CREATE SERIAL g4_scrap_seq START WITH 1;

CREATE TABLE g4_token
( to_token VARCHAR(32) DEFAULT ''   NOT NULL,
to_datetime TIMESTAMP DEFAULT timestamp'00:00:00 AM 01/02/1970'   NOT NULL,
to_ip VARCHAR(255) DEFAULT ''   NOT NULL
 ) 
;

CREATE TABLE g4_visit
( vi_id INT DEFAULT 0   NOT NULL,
vi_ip VARCHAR(255) DEFAULT ''   NOT NULL,
vi_date DATE DEFAULT date'1000-01-01'   NOT NULL,
vi_time TIME DEFAULT time'00:00:00'   NOT NULL,
vi_referer VARCHAR(65535) DEFAULT ''   NOT NULL,
vi_agent VARCHAR(255) DEFAULT ''   NOT NULL
 ) 
;

CREATE TABLE g4_visit_sum
( vs_date DATE DEFAULT date'1000-01-01'   NOT NULL,
vs_count INT DEFAULT 0   NOT NULL
 ) 
;

CREATE UNIQUE INDEX PRIMARY_idx on g4_auth (  mb_id  ,au_menu )
 ;
CREATE UNIQUE INDEX PRIMARY_idx on g4_board (  bo_table )
 ;
CREATE UNIQUE INDEX PRIMARY_idx on g4_board_file (  bo_table  ,wr_id  ,bf_no )
 ;
CREATE UNIQUE INDEX PRIMARY_idx on g4_board_good (  bg_id )
 ;
CREATE UNIQUE INDEX fkey1_idx on g4_board_good (  bo_table  ,wr_id  ,mb_id )
 ;
CREATE UNIQUE INDEX PRIMARY_idx on g4_board_new (  bn_id )
 ;
CREATE  INDEX mb_id_idx on g4_board_new (  mb_id )
 ;
CREATE UNIQUE INDEX PRIMARY_idx on g4_group (  gr_id )
 ;
CREATE UNIQUE INDEX PRIMARY_idx on g4_group_member (  gm_id )
 ;
CREATE  INDEX gr_id_idx on g4_group_member (  gr_id )
 ;
CREATE  INDEX mb_id_idx on g4_group_member (  mb_id )
 ;
CREATE UNIQUE INDEX PRIMARY_idx on g4_login (  lo_ip )
 ;
CREATE UNIQUE INDEX PRIMARY_idx on g4_mail (  ma_id )
 ;
CREATE UNIQUE INDEX PRIMARY_idx on g4_member (  mb_no )
 ;
CREATE UNIQUE INDEX UNIQUE_idx on g4_member (  mb_id )
 ;
CREATE  INDEX mb_today_login_idx on g4_member (  mb_today_login )
 ;
CREATE  INDEX mb_datetime_idx on g4_member (  mb_datetime )
 ;
CREATE UNIQUE INDEX PRIMARY_idx on g4_memo (  me_id )
 ;
CREATE UNIQUE INDEX PRIMARY_idx on g4_point (  po_id )
 ;
CREATE  INDEX index1_idx on g4_point (  mb_id  ,po_rel_table  ,po_rel_id  ,po_rel_action )
 ;
CREATE UNIQUE INDEX PRIMARY_idx on g4_poll (  po_id )
 ;
CREATE UNIQUE INDEX PRIMARY_idx on g4_poll_etc (  pc_id )
 ;
CREATE UNIQUE INDEX PRIMARY_idx on g4_popular (  pp_id )
 ;
CREATE UNIQUE INDEX index1_idx on g4_popular (  pp_date  ,pp_word  ,pp_ip )
 ;
CREATE UNIQUE INDEX PRIMARY_idx on g4_scrap (  ms_id )
 ;
CREATE  INDEX mb_id_idx on g4_scrap (  mb_id )
 ;
CREATE UNIQUE INDEX PRIMARY_idx on g4_token (  to_token )
 ;
CREATE  INDEX to_datetime_idx on g4_token (  to_datetime )
 ;
CREATE  INDEX to_ip_idx on g4_token (  to_ip )
 ;
CREATE UNIQUE INDEX PRIMARY_idx on g4_visit (  vi_id )
 ;
CREATE UNIQUE INDEX index1_idx on g4_visit (  vi_ip  ,vi_date )
 ;
CREATE  INDEX index2_idx on g4_visit (  vi_date )
 ;
CREATE UNIQUE INDEX PRIMARY_idx on g4_visit_sum (  vs_date )
 ;
CREATE  INDEX index1_idx on g4_visit_sum (  vs_count )
 ;

CREATE TABLE serial_base ( a int ) ;
INSERT INTO serial_base VALUES (1) ;

