#!/var/lib/mysql/php/bin/php
<?
	$opt = &init() ;
	conn2db( $opt, $cub ) ;
	
	set_password( $opt, $cub ) ;

	cubrid_commit( $cub ) ;
	cubrid_disconnect( $cub ) ;

function set_password( $opt, &$cub )
{
	list( $id, $pass ) = explode( "=", $opt['s'] ) ;
	
	$pass	= md5( $pass ) ;

	$query = "
UPDATE zetyx_member_table
SET
	\"password\" = '$pass'
WHERE
	user_id LIKE '$id'
" ;
	
	$result = cubrid_execute( $cub, $query ) ;

	if( ! $result ) 
	{
		echo "error : ".cubrid_error_msg()."\n" ;
	}

} // end of set_password()

/**
 * @author  <mysqlguru@hotmail.com>
 * @date 2006.07.07
 * Ķ ˻    ʱȭ
 */
function init()
{
	// 1. DB   
	if( ! function_exists( 'cubrid_connect' ) )
		die( "can't find Cubrid supported functions" ) ;
	
	$options = getopt( "h:u:p:d:s:" ) ;

	if( $options['d'] == '')
	{
		echo " Cubrid's DB name required\n" ;
		usage() ;
		die() ;
	}


	if( $options['h'] == '' )
		$options['h'] = 'localhost' ;

	if( count( explode( ":", $options['h'], 2 ) ) > 1 )
	{
		list( $options['h'], $options['port'] )
			= explode( ":", $options['h'] ) ;
	}

	if( $options['port'] == '' )
		$options['port'] = 33000 ;

	// ť긮 ,     empty Ѱ 
	//  ߴ.. 
	if( ! isset( $options['u'] ) )
	{
		$options['u'] = "" ;
	}

	if( ! isset( $options['p'] ) )
	{
		$options['p'] = "" ;
	}

	if( ! isset( $options['s'] ) )
	{
		echo " id=password required\n" ;
		usage() ;
		die() ;
	}

	
	return 	$options ;

} // end of init


/**
 * @author  <mysqlguru@hotmail.com>
 * @date 2006.07.07
 * DB 
 */
function conn2db( $opt, &$cub )
{
	
	extract( $opt ) ;

	if( ! ( $cub =  @cubrid_connect( $h, $port, $d, $u, $p ) ) )
	{
		my_error( __FILE__, __LINE__, cubrid_error_msg() ) ;
	}

} // end of conn2db()

function usage()
{
	printf( "%s [-h hostname] [-u user] [-p user pw] -d db_name -s id=password\n", $_SERVER['argv'][0] ) ;
	echo "example 1       : ./sample_password.php -d db_name -s admin=new_password\n" ;
	echo "example 2       : php -f sample_password.php -- -d db_name -s admin=new_password\n" ;
	echo " Default hostname is localhost and default port 33000(Cubrid)\n" ;
	echo " If you want to use another port, please specify server name as follows: localhost:3307 or localhost:43000 \n" ;
} /// end of usage()

function my_error( $file, $line, $msg )
{
	trigger_error( "ERROR : $file on $line : $msg\n" ) ;
	die() ;
} // end of my_error()

?>

